package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.customerinformation.Customer;
import com.sunxung.factoring.entity.entprise.Enterprise;
import com.sunxung.factoring.entity.supplier.SupplierInfo;
import com.sunxung.factoring.entity.sys.FileStorage;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.util.List;

/**
 * <p>
 * 采购合同 合同的签署结论
 * </p>
 *
 * @author liutao
 * @since 2023-03-14
 */
@TableName("c_purch_contract_sign_conclusion")
public class PurchContractSignConclusion extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 采购合同Id
     */
    @TableField("c_purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    /**
     * 说明
     */
    @TableField("remark")
    private String remark;

    /**
     * 签署结论
     */
    @TableField("conclusion")
    private String conclusion;

    @TableField(exist = false)
    private List<PurchContractElectronicInfo> purchContractElectronicInfos;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    @TableField(exist = false)
    private SupplierInfo supplier;

    @TableField(exist = false)
    private Enterprise supplierInfo;

    @TableField(exist = false)
    private Integer online;

    /**
     * 已签署文件
     */
    @TableField(exist = false)
    private List<FileStorage> files;

    public Integer getOnline() {
        return online;
    }

    public void setOnline(Integer online) {
        this.online = online;
    }

    public SupplierInfo getSupplier() {
        return supplier;
    }

    public void setSupplier(SupplierInfo supplier) {
        this.supplier = supplier;
    }

    public List<PurchContractElectronicInfo> getPurchContractElectronicInfos() {
        return purchContractElectronicInfos;
    }

    public void setPurchContractElectronicInfos(List<PurchContractElectronicInfo> purchContractElectronicInfos) {
        this.purchContractElectronicInfos = purchContractElectronicInfos;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getConclusion() {
        return conclusion;
    }

    public void setConclusion(String conclusion) {
        this.conclusion = conclusion;
    }

    public Enterprise getSupplierInfo() {
        return supplierInfo;
    }

    public void setSupplierInfo(Enterprise supplierInfo) {
        this.supplierInfo = supplierInfo;
    }

    public List<FileStorage> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorage> files) {
        this.files = files;
    }

    @Override
    public String toString() {
        return "PurchContractSignConclusion{" +
            "purchContractBasicInfoId=" + purchContractBasicInfoId +
            ", remark=" + remark +
            ", conclusion=" + conclusion +
        "}";
    }
}
